final: prev:

let
  wrapInSandbox = prev.callPackage ../lib/sandbox.nix {};
in {
  discord-wrapped = wrapInSandbox {
    name = "discord";
    package = prev.discord;
    #package = discord-system-electron;
    binaryName = "discord";
    mountInHome = [ ".config/discord" ".config/BetterDiscord" ];
    additionalBlacklist = [ "/mnt" ];
    chdirTo = "/home/$USER";

    version = "1.0.1";
    copyIntoSandbox = [ "share/pixmaps" ];
    desktopFileArgs = {
      name = "discord-wrapped";
      #exec = "discord";
      icon = "discord";
      desktopName = "Discord (wrapped)";
      genericName = "Instant Messenger";
      categories = [ "Network" "InstantMessaging" ];
    };
  };
  minecraft-wrapped = wrapInSandbox {
    name = "minecraft-launcher";
    package = prev.minecraft;
    binaryName = "minecraft-launcher";
    mountInHome = [ ".local/share/minecraft" ".minecraft" ];
    additionalBlacklist = [ "/mnt" ];
    chdirTo = "/home/$USER";
  };

  steam-wrapped = wrapInSandbox {
    name = "steam";
    package = prev.steam;
    binaryName = "steam";
    mountInHome = [ ".steam" ".local/share/Steam" ];
    additionalBlacklist = [ "/mnt" ];
    additionalMounts = [ "/mnt/Storage/Games/SteamLibrary" ];
    chdirTo = "/home/$USER";
    extraEnv = {
      DRI_PRIME = "1";
    };

    copyIntoSandbox = [ "/share" ];
  };

  android-studio-wrapped = wrapInSandbox {
    name = "android-studio";
    package = prev.android-studio;
    binaryName = "android-studio";
    additionalBlacklist = [ "/mnt" ];
    mountInHome = [ "Development/Personal/Android" ".android" ];
    chdirTo = "/home/$USER";
  };

  spotify-wrapped = wrapInSandbox {
    name = "spotify";
    package = prev.spotify;
    binaryName = "spotify";
    additionalBlacklist = [ "/mnt" ];
    mountInHome = [ ".config/spotify" ];
    chdirTo = "/home/$USER";
  };

  lutris-free-wrapped = wrapInSandbox {
    name = "lutris-free";
    package = prev.lutris-free;
    binaryName = "lutris";
    additionalBlacklist = [ "/mnt" ];
    additionalMounts = [ "/mnt/Storage/Games/UPlay" ];
    mountInHome = [ ".local/share/lutris" ".config/lutris" ];
    chdirTo = "/home/$USER";
  };
}
